From 4b11a071c95742c9b4129553f831cc47a50b52bb Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Thu, 16 Oct 2014 02:26:33 -0400
Subject: [PATCH] [netifd/scripts] support numeric and symbolic values for
 signal in proto_kill_command()

[netifd/scripts] support numeric and symbolic values for signal in proto_kill_command()

instead of let the caller do the conversion of symbolic to numeric,
do the conversion internally - the old mode (numeric) is still supported

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 scripts/netifd-proto.sh |   15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

diff --git a/scripts/netifd-proto.sh b/scripts/netifd-proto.sh
index ce316c4..6625053 100644
--- a/scripts/netifd-proto.sh
+++ b/scripts/netifd-proto.sh
@@ -286,11 +286,22 @@ proto_run_command() {
 }
 
 proto_kill_command() {
-	local interface="$1"; shift
+	local interface="$1"
+	local signal="$2"
 
 	json_init
 	json_add_int action 2
-	[ -n "$1" ] && json_add_int signal "$1"
+
+	case "$signal" in
+		[0-9]|[0-9][0-9])
+			json_add_int signal "$signal"
+		;;
+		[a-zA-Z]*)
+			signal="$( kill -l "$signal" )"
+			json_add_int signal "$signal"
+		;;
+	esac
+
 	_proto_notify "$interface"
 }
 
-- 
1.7.10.4

